# Uses of Class
javax.script.CompiledScript

Packages that use CompiledScript
Package
Description
javax.script
The scripting API consists of interfaces and classes that define Java Scripting Engines and provides a framework for their use in Java applications.

- ## Uses of CompiledScript in javax.script

  Methods in javax.script that return CompiledScript
  Modifier and Type
  Method
  Description
  `CompiledScript`
  Compilable.`compile(Reader script)`
  Compiles the script (source read from `Reader`) for later execution.
  `CompiledScript`
  Compilable.`compile(String script)`
  Compiles the script (source represented as a `String`) for later execution.